diff --git a/channels/chan_sip.c b/channels/chan_sip.c
index 54a59dc..eec03be 100644
--- a/channels/chan_sip.c
+++ b/channels/chan_sip.c
@@ -30779,6 +30779,8 @@ static struct sip_peer *build_peer(const char *name, struct ast_variable *v, str
 					peer->host_dynamic = FALSE;
 					srvlookup = v->value;
 				}
+            } else if (!strcasecmp(v->name, "path")) {
+                build_path(NULL, peer, NULL, v->value);
 			} else if (!strcasecmp(v->name, "defaultip")) {
 				peer->defaddr.ss.ss_family = AST_AF_UNSPEC;
 				if (!ast_strlen_zero(v->value) && ast_get_ip(&peer->defaddr, v->value)) {
